Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.ref
Class EndPointId

    java.lang.Object
      com.bea.dsp.management.ref.EndPointId

    public final class EndPointId

extends java.lang.Object

Constructor Summary
`EndPointId(DataSourceId dataSourceId, java.util.List<ContainerName> containers, EndPointName endPointName)` All the information leading to the endpoint.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.util.List<ContainerName>` | `getContainers()` Returns a non null list of hierarchical containers.
`DataSourceId` | `getDataSourceId()` Returns the non null id of the datasource.
`EndPointName` | `getEndPointName()` Returns the name of the end point.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndPointId

    public EndPointId(DataSourceId dataSourceId,
                      java.util.List<ContainerName> containers,
                      EndPointName endPointName)

  All the information leading to the endpoint. No data source specific checks are made here. Like whether the container are of compatible types to the data source type. Containers and endpoints may be empty or null for file data sources.

  Parameters:
    `dataSourceId` -
    `containers` -
    `endPointName` -

Method Detail

### getDataSourceId

    public DataSourceId getDataSourceId()

  Returns the non null id of the datasource.

  Returns:
    id of the datasource

### getContainers

    public java.util.List<ContainerName> getContainers()

  Returns a non null list of hierarchical containers. Parent container comes before the child container.

  Returns:
    a list of hierarchical containers

### getEndPointName

    public EndPointName getEndPointName()

  Returns the name of the end point. This can be null.

  Returns:

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.